%define _unpackaged_files_terminate_build 0%{nil}
%define Name cx_Freeze

Summary: create standalone executables from Python scripts
Name:    python-cx-freeze
Version: 4.3.2
Release: 3.7.1
Source0: %{Name}-%{version}.tar.gz
License: Python Software Foundation License
Group:   Development/Libraries
BuildRoot: %{_tmppath}/%{Name}-%{version}-%{release}-buildroot
Prefix:  %{_prefix}
Vendor:  Anthony Tuininga <anthony.tuininga@gmail.com>
Url:     http://cx-freeze.sourceforge.net
BuildRequires: python2-devel
%if 0%{?with_python3}
BuildRequires: python3-devel
%endif
Requires:      cx-freeze

%description
create standalone executables from Python scripts

%if 0%{?with_python3}
%package -n     python3-cx-freeze
Summary:        create standalone executables from Python3 scripts
Group:          Development/Languages
Requires:       cx-freeze

%description -n python3-cx-freeze
create standalone executables from Python3 scripts

%endif
%package -n cx-freeze
Summary:        create standalone executables from Python2 & Python3 scripts
Group:          Development/Languages

%description -n cx-freeze
create standalone executables from Python2 & Python3 scripts

%prep
%setup -q -n %{Name}-%{version}
%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif

%build
env CFLAGS="$RPM_OPT_FLAGS" python2 setup.py build
%if 0%{?with_python3}
pushd %{py3dir}
	env CFLAGS="$RPM_OPT_FLAGS" python3 setup.py build
popd
%endif

%install
python2 setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
%if 0%{?with_python3}
pushd %{py3dir}
	python3 setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED3_FILES
popd
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc README.txt
%exclude %{_bindir}/cxfreeze
%exclude %{_bindir}/cxfreeze-quickstart

%if 0%{?with_python3}
%files -n python3-cx-freeze -f %{py3dir}/INSTALLED3_FILES
%defattr(-,root,root)
%doc README.txt
%exclude %{_bindir}/cxfreeze
%exclude %{_bindir}/cxfreeze-quickstart
%endif

%files -n cx-freeze
%{_bindir}/cxfreeze
%{_bindir}/cxfreeze-quickstart

%changelog
* Fri Sep 25 2015 Lawrence R. Rogers <lrr@cert.org> - 4.3.2-3.7.1
* Release 4.3.2-2
	Made Python3 support conditional

* Tue Mar 19 2013 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 4.3.2-1
- Update
- add python3 support

* Tue Mar 19 2013 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 4.3.1-1
- intial build
